Bug 9718 - Add POD and comments for Check_Userid and Generate_Userid subs
Summary: Add POD and comments for Check_Userid and Generate_Userid subs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: David Cook
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-27 04:29 UTC by David Cook
Modified: 2014-05-26 21:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9718 - Add POD and comments for Check_Userid and Generate_Userid subs (2.96 KB, patch)
2013-02-27 04:32 UTC, David Cook
Details | Diff | Splinter Review
Bug 9718 - Add POD and comments for Check_Userid and Generate_Userid subs (3.01 KB, patch)
2013-02-28 06:38 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 9718 - Add POD and comments for Check_Userid and Generate_Userid subs (3.12 KB, patch)
2013-03-21 07:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2013-02-27 04:29:58 UTC
Add plain English explanations in POD blocks for how the Check_Userid and Generate_Userid subs work.

Also add a comment explaining how the do loop works with the while condition in Generate_Userid, since the condition is worded awkwardly.
Comment 1 David Cook 2013-02-27 04:32:49 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-02-28 06:38:34 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-21 07:58:42 UTC
Created attachment 16565 [details] [review]
[PASSED QA] Bug 9718 - Add POD and comments for Check_Userid and Generate_Userid subs

Add plain English explanations in POD blocks for how the Check_Userid and Generate_Userid subs work.

Also add a comment explaining how the do loop works with the while condition in Generate_Userid, since the condition is worded awkwardly.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
String patch adding documentation.
POD test and other tests pass.
Comment 4 Jared Camins-Esakov 2013-03-21 13:57:33 UTC
This patch has been pushed to master.